public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/c-blosc/
Date: Mon, 27 Jul 2020 05:41:55 +0000 (UTC)	[thread overview]
Message-ID: <1595828512.cd1679067bdd144bb96cfcfa5355a7217b69eb1a.mgorny@gentoo> (raw)

commit:     cd1679067bdd144bb96cfcfa5355a7217b69eb1a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 27 05:30:06 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jul 27 05:41:52 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd167906

dev-libs/c-blosc: Bump to 1.20.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-libs/c-blosc/Manifest              |  1 +
 dev-libs/c-blosc/c-blosc-1.20.0.ebuild | 47 ++++++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-libs/c-blosc/Manifest b/dev-libs/c-blosc/Manifest
index 6894b7f68ab..81fbfacf3b9 100644
--- a/dev-libs/c-blosc/Manifest
+++ b/dev-libs/c-blosc/Manifest
@@ -1,2 +1,3 @@
 DIST c-blosc-1.11.2.tar.gz 633280 BLAKE2B 426de12ffa0db784fc26316e5758836517f3b3498111cfea64ebd2bc4582ebc6236f64845d41e75db272d3741ab8a7f22a12e0847fb7c98ba10a3ae2c2906e22 SHA512 c1282f60f4ef9d24844be225587e7f46c43ba8a5071f5ee49a7326bce9e84b65312c4f9606e78fd3d1209a4ca50f1c31312a7c377caf9522c9915177c92a4d7b
 DIST c-blosc-1.19.0.tar.gz 875356 BLAKE2B 046134e10fec639f1271d9c7cc15dcd239f9f0875f7ad324144338072e6fa006612f7d154ccde11a5dd7ee60471380aab4a60ae332cf1de4a7b773ae354c494a SHA512 15bc009f8880630c531ccd36544869d59b69d21f10c08eebf3c2983d203697429649a1b56b044e28342ec620c6f5850ee9da783005ce83f23e783f091289498c
+DIST c-blosc-1.20.0.tar.gz 878891 BLAKE2B 742619a5de9696646f8c434f25e736dc3662b8215c6397d9e23f7f86ae6df78c014c8b23bfa1cada72f31b99d81b6c9d99eeb28189c529fe692b88f95da1d67a SHA512 b3da9970542c389fce4acb6ffb866c066dfbf542fadb21ed3d6a7688f9cccf89425ccdc9253a1f7172eced224ff27b78be0c9ce111b4b69ec303a61fb7c1bc10

diff --git a/dev-libs/c-blosc/c-blosc-1.20.0.ebuild b/dev-libs/c-blosc/c-blosc-1.20.0.ebuild
new file mode 100644
index 00000000000..894b7168037
--- /dev/null
+++ b/dev-libs/c-blosc/c-blosc-1.20.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+DESCRIPTION="Blocking, shuffling and lossless compression library"
+HOMEPAGE="https://www.blosc.org/"
+SRC_URI="https://github.com/Blosc/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0/1"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE="+lz4 +snappy test zlib zstd"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	lz4? ( >=app-arch/lz4-1.7.5:= )
+	snappy? ( app-arch/snappy )
+	zlib? ( sys-libs/zlib )
+	zstd? ( app-arch/zstd )"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	cmake_src_prepare
+	# remove bundled libs
+	rm -rf internal-complibs || die
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DBUILD_STATIC=OFF
+		-DBUILD_TESTS=$(usex test)
+		-DBUILD_BENCHMARKS=OFF
+		-DBUILD_FUZZERS=OFF
+		-DDEACTIVATE_LZ4=$(usex !lz4)
+		-DDEACTIVATE_SNAPPY=$(usex !snappy)
+		-DDEACTIVATE_ZLIB=$(usex !zlib)
+		-DDEACTIVATE_ZSTD=$(usex !zstd)
+		-DPREFER_EXTERNAL_LZ4=ON
+		# snappy is always external
+		-DPREFER_EXTERNAL_ZLIB=ON
+		-DPREFER_EXTERNAL_ZSTD=ON
+	)
+	cmake_src_configure
+}


             reply	other threads:[~2020-07-27  5:42 UTC|newest]

Thread overview: 61+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-07-27  5:41 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-13 19:25 [gentoo-commits] repo/gentoo:master commit in: dev-libs/c-blosc/ Michał Górny
2024-07-13 19:05 Sam James
2024-07-13 18:14 Arthur Zamarin
2024-07-13 15:21 Arthur Zamarin
2024-07-13 14:35 Sam James
2024-07-13 12:10 Arthur Zamarin
2024-07-13  9:36 Arthur Zamarin
2024-06-25  8:01 Michał Górny
2024-01-04 11:29 WANG Xuerui
2023-10-06 15:05 Sam James
2023-10-06 14:55 Sam James
2023-10-06 14:55 Sam James
2023-09-02 14:11 Michał Górny
2023-08-02 12:01 Michał Górny
2023-08-02 11:58 Arthur Zamarin
2023-07-24 11:03 Jakov Smolić
2023-07-24  9:25 Jakov Smolić
2023-07-24  8:54 Jakov Smolić
2023-05-16 16:28 Michał Górny
2022-12-28 15:03 Sam James
2022-12-28 15:03 Sam James
2022-12-28 15:03 Sam James
2022-12-28 15:03 Sam James
2022-12-28 15:03 Sam James
2022-12-28 15:00 Sam James
2022-12-28 13:29 Michał Górny
2022-12-28 13:29 Michał Górny
2022-12-16 11:32 Michał Górny
2022-12-07 14:43 Michał Górny
2022-02-14  8:35 Matt Turner
2021-12-18 15:39 Michał Górny
2021-12-18 15:09 Arthur Zamarin
2021-12-18 15:09 Arthur Zamarin
2021-12-18 14:58 Arthur Zamarin
2021-12-18 14:58 Arthur Zamarin
2021-12-18 13:38 Arthur Zamarin
2021-12-18 13:38 Arthur Zamarin
2021-11-14 23:51 Sam James
2021-10-24 21:14 Sam James
2021-10-07  7:21 Michał Górny
2021-09-06 23:42 Sam James
2021-08-15 22:03 Marek Szuba
2021-08-10  4:59 Sam James
2021-07-28 15:58 Sergei Trofimovich
2021-02-21  8:25 Michał Górny
2021-02-21  0:46 Sam James
2021-02-19 19:32 Thomas Deutschmann
2020-12-22 12:37 Michał Górny
2020-11-03  8:24 Michał Górny
2020-11-03  7:40 Sam James
2020-10-15 15:58 Sam James
2020-09-08 19:11 Michał Górny
2020-08-22  5:50 Agostino Sarubbo
2020-08-10 14:53 Agostino Sarubbo
2020-07-11 11:43 Sam James
2020-07-10 14:42 Sam James
2020-07-08  6:47 Sergei Trofimovich
2020-06-10 10:27 Michał Górny
2017-06-21 12:11 Agostino Sarubbo
2017-06-19 17:03 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1595828512.cd1679067bdd144bb96cfcfa5355a7217b69eb1a.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox